Vector
Date: 2016-06-24

java.util

## Class Vector

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractList
    - - java.util.Vector

- All Implemented Interfaces:
    Serializable, Cloneable, Collection, List, RandomAccess
  Direct Known Subclasses:
    Stack

      public class Vector
      extends AbstractList
      implements Serializable, Cloneable, List, RandomAccess

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `capacityIncrement`
    `protected int` | `elementCount`
    `protected Object[]` | `elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vector()`
    `Vector(Collection var0)`
    `Vector(int var0)`
    `Vector(int var0, int var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(Object var0)`
    `int` | `capacity()`
    `Object` | `clone()`
    `void` | `copyInto(Object[] var0)`
    `Object` | `elementAt(int var0)`
    `Enumeration` | `elements()`
    `void` | `ensureCapacity(int var0)`
    `Object` | `firstElement()`
    `Object` | `get(int var0)`
    `int` | `indexOf(Object var0, int var1)`
    `void` | `insertElementAt(Object var0, int var1)`
    `Object` | `lastElement()`
    `int` | `lastIndexOf(Object var0, int var1)`
    `void` | `removeAllElements()`
    `boolean` | `removeElement(Object var0)`
    `void` | `removeElementAt(int var0)`
    `void` | `setElementAt(Object var0, int var1)`
    `void` | `setSize(int var0)`
    `int` | `size()`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.util.AbstractList

      `add, addAll, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, toArray, toArray`

- - ### Field Detail

    - #### capacityIncrement

          protected int capacityIncrement

    - #### elementCount

          protected int elementCount

    - #### elementData

          protected Object[] elementData

  - ### Constructor Detail

    - #### Vector

          public Vector()

    - #### Vector

          public Vector(int var0)

    - #### Vector

          public Vector(int var0,
                int var1)

    - #### Vector

          public Vector(Collection var0)

  - ### Method Detail

    - #### addElement

          public void addElement(Object var0)

    - #### capacity

          public int capacity()

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### copyInto

          public void copyInto(Object[] var0)

    - #### elementAt

          public Object elementAt(int var0)

    - #### elements

          public Enumeration elements()

    - #### ensureCapacity

          public void ensureCapacity(int var0)

    - #### firstElement

          public Object firstElement()

    - #### get

          public Object get(int var0)

      Specified by:
        `get` in interface `List`

    - #### indexOf

          public int indexOf(Object var0,
                    int var1)

    - #### insertElementAt

          public void insertElementAt(Object var0,
                             int var1)

    - #### lastElement

          public Object lastElement()

    - #### lastIndexOf

          public int lastIndexOf(Object var0,
                        int var1)

    - #### removeAllElements

          public void removeAllElements()

    - #### removeElement

          public boolean removeElement(Object var0)

    - #### removeElementAt

          public void removeElementAt(int var0)

    - #### setElementAt

          public void setElementAt(Object var0,
                          int var1)

    - #### setSize

          public void setSize(int var0)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection`

    - #### trimToSize

          public void trimToSize()